## loci.formats
Class IPWReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.BaseTiffReader
                  loci.formats.IPWReader

public class IPWReader
extends BaseTiffReader

IPWReader is the file format reader for Image-Pro Workspace (IPW) files.

Field Summary

Fields inherited from class loci.formats.BaseTiffReader
`ifds, in, numImages`

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`IPWReader()` Constructs a new IPW reader.

Method Summary
`void` `close()` Closes any open files.
`int` `getImageCount(String id)` Determines the number of images in the given IPW file.
`protected void` `initFile(String id)` Initializes the given IPW file.
`void` `initMetadata(String id)` Initialize metadata hashtable and OME-XML structure.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for an IPW file.
`static void` `main(String[] args)`
`BufferedImage` `open(String id, int no)` Obtains the specified image from the given IPW file.
`protected void` `parseDir(int depth, Object dir)`
`static void` `print(int depth, String s)` Debugging utility method

Methods inherited from class loci.formats.BaseTiffReader
`getTiffDimensions, initMetadata, initOMEMetadata, initStandardMetadata, put, put, put, put, put, put, put, put, put, put, putInt`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPWReader

    public IPWReader()

  Constructs a new IPW reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for an IPW file.

  Overrides:
    `isThisType` in class `BaseTiffReader`

### getImageCount

    public int getImageCount(String id)
                      throws FormatException,
                             IOException

  Determines the number of images in the given IPW file.

  Overrides:
    `getImageCount` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### open

    public BufferedImage open(String id,
                              int no)
                       throws FormatException,
                              IOException

  Obtains the specified image from the given IPW file.

  Overrides:
    `open` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### close

    public void close()
               throws FormatException,
                      IOException

  Closes any open files.

  Overrides:
    `close` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### initFile

    protected void initFile(String id)
                     throws FormatException,
                            IOException

  Initializes the given IPW file.

  Overrides:
    `initFile` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### initMetadata

    public void initMetadata(String id)
                      throws FormatException,
                             IOException

  Initialize metadata hashtable and OME-XML structure.

  Throws:
    `FormatException`
    `IOException`

### parseDir

    protected void parseDir(int depth,
                            Object dir)
                     throws IOException,
                            FormatException,
                            ReflectException

  Throws:
    `IOException`
    `FormatException`
    `ReflectException`

### print

    public static final void print(int depth,
                                   String s)

  Debugging utility method

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`